summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorVi0L02017-10-09 22:22:31 +0200
committerVi0L02017-10-09 22:22:31 +0200
commit1b9054342f5739423be4e0afc4f2af6163ff8845 (patch)
tree174d58772ed6d497c43cd45ea62fd60cf42cf9b2
parentd6d837fa9e85c1d986cb374f981f83b71d965934 (diff)
downloadaur-1b9054342f5739423be4e0afc4f2af6163ff8845.tar.gz
15.9-22: 4.13 kernel support
-rw-r--r--.SRCINFO6
-rw-r--r--4.13-npfeiler-wait_queue_t.patch13
-rw-r--r--PKGBUILD13
3 files changed, 25 insertions, 7 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 1d9b6939f6e..3438505301b 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = catalyst-total
pkgdesc = AMD/ATI Catalyst drivers for linux. catalyst-dkms + catalyst-utils + lib32-catalyst-utils + experimental powerXpress suppport. Radeons HD 2 3 4 xxx ARE NOT SUPPORTED
pkgver = 15.9
- pkgrel = 21
+ pkgrel = 22
url = http://www.amd.com
install = catalyst-total.install
arch = i686
@@ -9,7 +9,7 @@ pkgbase = catalyst-total
license = custom
depends = dkms
depends = linux>=3.0
- depends = linux<4.13
+ depends = linux<4.14
depends = linux-headers
depends = xorg-server>=1.7.0
depends = xorg-server<1.18.0
@@ -94,6 +94,7 @@ pkgbase = catalyst-total
source = 4.12-npfeiler-PUD_OFFSET.patch
source = 4.12-arch-remove_clts.patch
source = 4.12-npfeiler-movsl_mask.patch
+ source = 4.13-npfeiler-wait_queue_t.patch
md5sums = d2de2df6946b452c266a3c892e6e46ff
md5sums = af7fb8ee4fc96fd54c5b483e33dc71c4
md5sums = bdafe749e046bfddee2d1c5e90eabd83
@@ -127,6 +128,7 @@ pkgbase = catalyst-total
md5sums = f090e47160403e4ba65d1e0de69973c9
md5sums = 782769206ed12ded10c347be3e476729
md5sums = cb25bc7fbb7d5cb1c07d2f3fa5fda826
+ md5sums = 0a725f40bc980d578cbed3e57a05b765
pkgname = catalyst-total
diff --git a/4.13-npfeiler-wait_queue_t.patch b/4.13-npfeiler-wait_queue_t.patch
new file mode 100644
index 00000000000..8e5ed7da9ab
--- /dev/null
+++ b/4.13-npfeiler-wait_queue_t.patch
@@ -0,0 +1,13 @@
+--- archive_files/common/lib/modules/fglrx/build_mod/kcl_wait.c 2015-12-18 19:47:41.000000000 +0100
++++ archive_filesb/common/lib/modules/fglrx/build_mod/kcl_wait.c 2017-09-30 14:13:37.285611187 +0200
+@@ -43,6 +43,10 @@
+ #include "kcl_config.h"
+ #include "kcl_wait.h"
+
++#if LINUX_VERSION_CODE >= KERNEL_VERSION(4,13,0)
++typedef wait_queue_entry_t wait_queue_t;
++#endif
++
+ /** \brief Create wait object, init it and add to the kernel queue
+ ** \param object_handle [in] Object handle
+ ** \return Kernel wait handle on success, 0 otherwise
diff --git a/PKGBUILD b/PKGBUILD
index 608a8c23e29..c695995af4f 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -22,20 +22,20 @@
# Contributor: gentoo (part of 4.3 kernel patches)
# Contributor: Philip Muller @ Manjaro (4.4 kernel patch)
# Contributor: aslmaswd (acpi main script)
-# Contributor: npfeiler (libcl/opencl-icd-loader cleaning, 4.11 and 4.12 kernel patch)
# Contributor: sling00 (4.10 kernel patch)
+# Contributor: npfeiler (libcl/opencl-icd-loader cleaning, 4.11, 4.12 and 4.13 kernel patch)
pkgname=catalyst-total
pkgver=15.9
-pkgrel=21
+pkgrel=22
_amdver=15.201.1151
pkgdesc="AMD/ATI Catalyst drivers for linux. catalyst-dkms + catalyst-utils + lib32-catalyst-utils + experimental powerXpress suppport. Radeons HD 2 3 4 xxx ARE NOT SUPPORTED"
arch=('i686' 'x86_64')
url="http://www.amd.com"
license=('custom')
options=('staticlibs' 'libtool' '!strip' '!upx')
-depends=('dkms' 'linux>=3.0' 'linux<4.13' 'linux-headers' 'xorg-server>=1.7.0' 'xorg-server<1.18.0' 'libxrandr' 'libsm' 'fontconfig' 'libxcursor' 'libxi' 'gcc-libs' 'gcc>4.0.0' 'make' 'patch' 'libxinerama' 'mesa-noglvnd')
+depends=('dkms' 'linux>=3.0' 'linux<4.14' 'linux-headers' 'xorg-server>=1.7.0' 'xorg-server<1.18.0' 'libxrandr' 'libsm' 'fontconfig' 'libxcursor' 'libxi' 'gcc-libs' 'gcc>4.0.0' 'make' 'patch' 'libxinerama' 'mesa-noglvnd')
optdepends=('qt4: to run ATi Catalyst Control Center (amdcccle)'
'libxxf86vm: to run ATi Catalyst Control Center (amdcccle)'
'opencl-headers: headers necessary for OpenCL development'
@@ -102,7 +102,8 @@ source=(
4.11-npfeiler-signal_vmf.patch
4.12-npfeiler-PUD_OFFSET.patch
4.12-arch-remove_clts.patch
- 4.12-npfeiler-movsl_mask.patch)
+ 4.12-npfeiler-movsl_mask.patch
+ 4.13-npfeiler-wait_queue_t.patch)
md5sums=('d2de2df6946b452c266a3c892e6e46ff'
'af7fb8ee4fc96fd54c5b483e33dc71c4'
@@ -136,7 +137,8 @@ md5sums=('d2de2df6946b452c266a3c892e6e46ff'
'8e53ba65a0aad42eb2ff771c1ace6609'
'f090e47160403e4ba65d1e0de69973c9'
'782769206ed12ded10c347be3e476729'
- 'cb25bc7fbb7d5cb1c07d2f3fa5fda826')
+ 'cb25bc7fbb7d5cb1c07d2f3fa5fda826'
+ '0a725f40bc980d578cbed3e57a05b765')
build() {
@@ -333,6 +335,7 @@ package() {
patch -Np1 -i ../4.12-npfeiler-PUD_OFFSET.patch
patch -Np1 -i ../4.12-arch-remove_clts.patch
patch -Np1 -i ../4.12-npfeiler-movsl_mask.patch
+ patch -Np1 -i ../4.13-npfeiler-wait_queue_t.patch
# Prepare modules source files
install -dm755 ${pkgdir}/usr/src/fglrx-${pkgver}/2.6.x